import { MessageBox } from 'element-ui';
import { MessageBoxData } from "element-ui/types/message-box";

class MessageBoxService {

  showErrorMessage(errorMsg?:string, errorObj?: any): Promise<MessageBoxData> {
    const messageBoxConfig = {
      message: errorMsg
      ? `${this.breakTextByComma(errorMsg)}`
      : `<div class="message-header"></div>
          <div class="message-content">${errorObj?.response?.data?.detail}</div>`,
      dangerouslyUseHTMLString: true,
      showClose:false,
      showConfirmButton:true,
      confirmButtonText:'確認',
      customClass:'pam-message-box',
      closeOnClickModal:false,
    };
    return MessageBox(messageBoxConfig);
  }

  // 暫時用逗號去斷行
  private breakTextByComma(errorMsg:string):string{
    return errorMsg.split("，").join('<br>');
  }

}

export default new MessageBoxService();
